{# Copyright (c) 2015 Jessica Tallon & Matt Molyneaux. This file is part of Inboxen. Licensed under the terms of the GNU AGPL, as published by the FSF, version 3 the or later #}
{% extends 'inboxen/base.html' %}
{% load i18n inboxen_flags %}

{% block header %}{% include "search/includes/refresh.html" %}{% endblock %}

{% block headline %}{{ headline }}{% endblock %}

{% block breadcrumbs %}
    <ul id="{{ inbox }}@{{ domain }}" class="breadcrumb">
        <li><a href="{% url 'user-home' %}">{% blocktrans trimmed %} {{ user }}'s Home {% endblocktrans %}</a></li>
        {% if inbox %}
            {% if query %}
            <li><a href="{% url 'single-inbox' inbox=inbox domain=domain %}"><span class="inbox-crumb">{{ inbox }}@{{ domain }}</span></a></li>
            <li class="active">{% blocktrans trimmed %}Search: {{ query }}{% endblocktrans %}</li>
            {% else %}
            <li class="active"><span class="inbox-crumb">{{ inbox }}@{{ domain }}</span>
                {% if inbox_obj.description %}<i>({{ inbox_obj.description }})</i>{% endif %}
            </li>
            {% endif %}
        {% else %}
            {% if query %}
            <li><a href="{% url "unified-inbox" %}">{% trans "Unified Inbox" %}</a></li>
            <li class="active">{% blocktrans trimmed %}Search: {{ query }}{% endblocktrans %}</li>
            {% else %}
            <li class="active">{% trans "Unified Inbox" %}</li>
            {% endif %}
        {% endif %}
    </ul>
{% endblock %}

{% block content %}
{% if inbox %}
    {% url "single-inbox-search" inbox=inbox domain=domain as search_url %}
{% else %}
    {% url "unified-inbox-search" as search_url %}
{% endif %}
<form id="inboxen-search-box" class="form" action="{{ search_url }}">
    <div class="input-group">
        <label for="search" class="sr-only">Search Emails</label>
        <input id="search" type="text" class="form-control" name="q" value="{{ query }}">
        <span class="input-group-btn">
            <button class="btn btn-default">Search</button>
        </span>
    </div>
</form>
{% if not waiting %}
    <form id="email-list" action="{{ request.path }}" method="POST" data-url="{% url 'form-inbox-email' %}" data-inbox-name=".breadcrumb .active span.inbox-crumb" data-button-container=".inbox-btn-group" data-button-classes="btn btn-default" data-button-text="{% trans "Copy inbox address" %}">
        {% csrf_token %}
        <div class="inbox-btn-group">
        <button class="btn btn-default" type="submit" name="important"><span class="fa fa-star" aria-hidden="true"></span>{% trans "Important" %}</button>
        <button class="btn btn-default" type="submit" name="unimportant"><span class="fa fa-star-o" aria-hidden="true"></span>{% trans "Unimportant" %}</button>
        <button class="btn btn-danger" type="submit" name="delete"><span class="fa fa-trash" aria-hidden="true"></span>{% trans "Delete" %}</button>
        {% if inbox %}
        <div class="pull-right undo-pull-right-sm">
            <a class="btn btn-default inbox-qrcode" href="{% url 'inbox-qrcode' inbox=inbox domain=domain %}">
                <span class="fa fa-qrcode" aria-hidden="true"></span>{% trans "QR Code" %}
            </a>
            <a class="btn btn-default inbox-edit" href="{% url 'inbox-edit' inbox=inbox domain=domain %}"
                    data-inbox-id="{{ inbox }}@{{ domain }}">
                <span class="fa fa-cog" aria-hidden="true"></span>{% trans "Inbox Options" %}
            </a>
        </div>
        {% endif %}
        </div>
        <div class="honeydew">
            {% for email in page_obj.object_list %}
                {% include "inboxen/includes/email_line.html" with eid=email.eid flags=email.get_bools_for_labels inbox=email.inbox.inbox domain=email.inbox.domain.domain received_date=email.received_date subject=email.subject sender=email.sender %}
            {% empty %}
                <div class="row empty-message"><div class="col-xs-12">
                {% if query %}
                    {% blocktrans trimmed %}No emails containing <i>{{ query }}</i>.{% endblocktrans %}
                {% else %}
                    {% blocktrans trimmed %}This Inbox is <span title="The opposite of full.">empty</span>.{% endblocktrans %}
                {% endif %}
                </div></div>
            {% endfor %}
        </div>
    </form>
    {% if inbox %}
        {% url 'single-inbox' inbox=inbox domain=domain as inbox_url %}
    {% else %}
        {% url 'unified-inbox' as inbox_url %}
    {% endif %}
    {% if page_obj.has_previous or page_obj.has_next %}
    <nav aria-labelledby="inbox-pager">
        <h2 id="inbox-pager" class="sr-only">{% trans "Email list navigation" %}</h2>
        <ul class="pager">
            {% if page_obj.has_previous %}
                <li class="previous"><a href="{{ inbox_url }}{{ page_obj.previous_page_number }}/">
                    <span aria-hidden="true">&laquo;</span> {% trans "Previous" %}
                </a></li>
            {% endif %}
            {% if page_obj.has_next %}
                <li class="next"><a href="{{ inbox_url }}{{ page_obj.next_page_number }}/">
                    {% trans "Next" %} <span aria-hidden="true">&raquo;</span>
                </a></li>
            {% endif %}
        </ul>
    </nav>
    {% elif has_next or has_previous %}
    {% if inbox %}
        {% url "single-inbox-search" inbox=inbox domain=domain query=query as search_url %}
    {% else %}
        {% url "unified-inbox-search" query=query as search_url %}
    {% endif %}
    <nav aria-labelledby="inbox-pager">
        <h2 id="inbox-pager" class="sr-only">{% trans "Email list navigation" %}</h2>
        <ul class="pager">
            {% if has_previous %}
                <li class="previous"><a href="{{ search_url }}?before={{ first }}">
                    <span aria-hidden="true">&laquo;</span> {% trans "Previous" %}
                </a></li>
            {% endif %}
            {% if has_next %}
                <li class="next"><a href="{{ search_url }}?after={{ last }}">
                    {% trans "Next" %} <span aria-hidden="true">&raquo;</span>
                </a></li>
            {% endif %}
        </ul>
    </nav>
    {% endif %}
{% else %}
    {% include "search/includes/status.html" %}
{% endif %}
{% endblock %}
